> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Parcel Dispatch

> The Update Parcel Dispatch API pushes to the merchant Global-e updated Parcel Dispatch Information.

<Note>
  Part of the [Dispatch Notifications (from Global‑e)](/dispatch-notifications--from-global-e-) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/updateparceldispatch.yaml POST /UpdateParcelDispatch
openapi: 3.0.3
info:
  title: UpdateParcelDispatch
  version: 1.0.0
  description: >-
    The Update Parcel Dispatch API pushes to the merchant Global-e updated
    Parcel Dispatch Information.
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: merchant_site_domain
        description: Merchant's site domain, as configured with Global-e.
security: []
tags:
  - name: UpdateParcelDispatch
    x-page-title: Update Parcel Dispatch
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Fulfillment'
paths:
  /UpdateParcelDispatch:
    post:
      tags:
        - UpdateParcelDispatch
      summary: Update Parcel Dispatch
      description: >-
        The Update Parcel Dispatch API pushes to the merchant Global-e updated
        Parcel Dispatch Information.
      operationId: updateParcelDispatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateParcelDispatchRequest'
            example:
              UrlParameters: null
              DispatchedParcel:
                ParcelTracking:
                  ParcelTrackingNumber: '0545123533352'
                  ParcelTrackingUrl: >-
                    https%3a%2f%2ftracking.dpd.de%2fstatus%2fen_NL%2fparcel%2f0545123533352
                  ParcelCode: 24543282-P1
                HubCode: null
                Code: 24543282-P1
                StatusName: null
                Products:
                  - Sku: '00006901119001'
                    CartItemId: e3480db5-f139-4f11-8111-fdb95353a110
                    Quantity: 1
              OrderId: GE23457211382NL
              MerchantOrderId: '12456'
              StatusCode: null
              MerchantGUID: 1d5111e18-31224-448d-ae3d-d11b1111991c
              WebStoreCode: 9o1eeefRR
              WebStoreInstanceCode: GlobalEDefaultStoreInstance
      responses:
        '200':
          description: Success or failure response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
              examples:
                success:
                  summary: Success example
                  value:
                    Success: true
                    Message: Fulfillment status was updated
                    Description: null
                failure:
                  summary: Failure example
                  value:
                    Success: false
                    Message: error message
                    Description: error description
components:
  schemas:
    UpdateParcelDispatchRequest:
      type: object
      title: UpdateParcelDispatchRequest
      required:
        - DispatchedParcel
        - OrderId
        - MerchantGUID
      properties:
        DispatchedParcel:
          $ref: '#/components/schemas/DispatchedParcel'
          description: Dispatched parcel information.
        OrderId:
          type: string
          description: Global‑e order unique identifier.
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant's site returned from a
            previous call to the SendOrderToMerchant method for this order.
        StatusCode:
          type: string
          description: >-
            Code denoting the order status on the Merchant's site (to be mapped
            on the Global‑e side).
        MerchantGUID:
          type: string
          description: Unique identifier of the Merchant on Global-e.
        WebStoreCode:
          type: string
          description: >-
            Code used on the merchant's site to identify the web store, as
            specified in the WebStoreCode argument for cart method for the cart
            converted to this order on Global‑e.
        WebStoreInstanceCode:
          type: string
          description: Refers to Merchant Store Instance.
    ResponseInfo:
      type: object
      title: ResponseInfo
      required:
        - Success
      properties:
        Success:
          type: boolean
          description: >-
            Indicates if the API call has succeeded. True — indicates that the
            call was successful. False — denotes an error or failure.
        Message:
          type: string
          description: Success or Error code to be returned when an error occurs.
        Description:
          type: string
          nullable: true
          description: Error Description.
    DispatchedParcel:
      type: object
      title: DispatchedParcel
      required:
        - ParcelTracking
      properties:
        ParcelTracking:
          $ref: '#/components/schemas/ParcelTracking'
        HubCode:
          type: string
          nullable: true
          description: >-
            In the case of multi-hub dispatch, which mapped hub the order
            shipped from.
        Code:
          type: string
          description: Parcel Code.
        StatusName:
          type: string
          nullable: true
          description: Parcel status name.
        Products:
          type: array
          description: List of products included in the parcel.
          items:
            $ref: '#/components/schemas/DispatchProduct'
    ParcelTracking:
      type: object
      title: ParcelTracking
      required:
        - ParcelTrackingNumber
        - ParcelTrackingUrl
        - ParcelCode
      properties:
        ParcelTrackingNumber:
          type: string
          description: >-
            Tracking number used by the selected international shipping method
            for this parcel.
        ParcelTrackingUrl:
          type: string
          description: >-
            Full tracking URL including ParcelTrackingNumber used by the
            selected international shipping method for this parcel.
        ParcelCode:
          type: string
          description: Parcel code.
    DispatchProduct:
      type: object
      title: DispatchProduct
      required:
        - Sku
        - CartItemId
        - Quantity
      properties:
        Sku:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant's site (to be
            mapped on the Global‑e side).
        CartItemId:
          type: string
          description: Cart item id of the product.
        Quantity:
          type: integer
          format: int64
          description: Product quantity included in the parcel.

````